#include <vector>
#include <Rcpp.h>

#include "SchachHoernchen/Move.h"
#include "SchachHoernchen/Board.h"

//' Human Crafted Evaluation
// [[Rcpp::export(rng = false)]]
Rcpp::NumericVector HCE(const std::vector<Board>& positions) {
    // Iterate all positions and call the static board evaluation
    return Rcpp::NumericVector(positions.begin(), positions.end(),
        [](const Board& pos) {
            return (double)pos.evaluate() / 100.0;
        }
    );
}
